Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.menu.code
Class SourceCodeAction

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.actions.AbstractOWLModelAction
          edu.stanford.smi.protegex.owl.ui.menu.code.SourceCodeAction

All Implemented Interfaces:
  edu.stanford.smi.protege.util.Disposable, IconOwner, OWLModelAction

    public class SourceCodeAction

extends AbstractOWLModelAction

An Action to display a SourceCodeDialog.

Author:
  Daniel Stoeckli , Holger Knublauch

Field Summary

Fields inherited from class edu.stanford.smi.protegex.owl.ui.actions.AbstractOWLModelAction
`CODE_MENU, OWL_MENU, PROJECT_MENU, REASONING_MENU, TOOLS_MENU, WINDOW_MENU`

Fields inherited from interface edu.stanford.smi.protegex.owl.ui.actions.OWLModelAction
`ICON, NAME, PATH_SEPARATOR, SUITABILITY`

Constructor Summary
`SourceCodeAction()`

Method Summary
`String` | `getIconFileName()` Gets the relative name of an (optional) icon.
`String` | `getMenubarPath()` Gets a path to the menu bar location of this action.
`String` | `getName()` Gets the human readable name of this action, to be used as menu item text and tool bar button tool tip text.
`boolean` | `isSuitable(OWLModel owlModel)` Determines whether this action shall be used for the given OWLModel.
`void` | `run(OWLModel owlModel)` Called when the action is executed by the user.

Methods inherited from class edu.stanford.smi.protegex.owl.ui.actions.AbstractOWLModelAction
`addPropertyChangeListener, dispose, getIconResourceClass, getToolbarPath, notifyPropertyChangeListeners, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SourceCodeAction

    public SourceCodeAction()

Method Detail

### getIconFileName

    public String getIconFileName()

  Description copied from interface: `IconOwner`
  Gets the relative name of an (optional) icon.

  Specified by:
    `getIconFileName` in interface `IconOwner`
  Overrides:
    `getIconFileName` in class `AbstractOWLModelAction`
  Returns:
    the icon name such as `"classify.gif"` or null

### getMenubarPath

    public String getMenubarPath()

  Description copied from interface: `OWLModelAction`
  Gets a path to the menu bar location of this action. This method determines where the menu item will show up, if at all. The path consists of a menu name with an optional group name. There must be a '/' character (`PATH_SEPARATOR`) between the menu and group name.

  Returns:
    the path for the menu or null if this shall not appear in the menu

### getName

    public String getName()

  Description copied from interface: `OWLModelAction`
  Gets the human readable name of this action, to be used as menu item text and tool bar button tool tip text.

  Returns:
    the name (must not be null)

### isSuitable

    public boolean isSuitable(OWLModel owlModel)

  Description copied from interface: `OWLModelAction`
  Determines whether this action shall be used for the given OWLModel. This allows programmers to veto the use of their action in OWLDatabaseModels or projects that don't import SWRL etc.

  Specified by:
    `isSuitable` in interface `OWLModelAction`
  Overrides:
    `isSuitable` in class `AbstractOWLModelAction`
  Parameters:
    `owlModel` - the OWLModel to check against
  Returns:
    true if this is suitable for owlModel

### run

    public void run(OWLModel owlModel)

  Description copied from interface: `OWLModelAction`
  Called when the action is executed by the user.

  Parameters:
    `owlModel` - the OWLModel to operate on

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.